org.richfaces.fragment.calendar

## Class DayPicker.CalendarDayImpl

- java.lang.Object
- - org.richfaces.fragment.list.RichFacesListItem
  - - org.richfaces.fragment.orderingList.AbstractSelectableListItem
    - - org.richfaces.fragment.calendar.DayPicker.CalendarDayImpl

- All Implemented Interfaces:
    DayPicker.CalendarDay, ListItem, SelectableListItem
  Enclosing class:
    DayPicker

      public static class DayPicker.CalendarDayImpl
      extends AbstractSelectableListItem
      implements DayPicker.CalendarDay, ListItem

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.calendar.DayPicker.CalendarDay

      `DayPicker.CalendarDay.DayType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DayPicker.CalendarDayImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsStyleClass(String styleClass)` Checks if this day contains chosen styleClass
    `boolean` | `equals(Object obj)`
    `org.openqa.selenium.WebElement` | `getDayElement()`
    `Integer` | `getDayNumber()` Parses and returns the element's text representing day number.
    `protected String` | `getStyleClassForSelectedItem()`
    `int` | `hashCode()`
    `boolean` | `is(DayPicker.CalendarDay.DayType type)`
    `void` | `select(boolean deselectOthers)` Select item and deselect other items depending on @deselectOthers.

    - ### Methods inherited from class org.richfaces.fragment.orderingList.AbstractSelectableListItem

      `deselect, isSelected, select`

    - ### Methods inherited from class org.richfaces.fragment.list.RichFacesListItem

      `getRootElement, getText, isVisible, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.calendar.DayPicker.CalendarDay

      `select`

    - ### Methods inherited from interface org.richfaces.fragment.list.ListItem

      `getRootElement, getText`

- - ### Constructor Detail

    - #### DayPicker.CalendarDayImpl

          public DayPicker.CalendarDayImpl()

  - ### Method Detail

    - #### containsStyleClass

          public boolean containsStyleClass(String styleClass)

      Checks if this day contains chosen styleClass
      Specified by:
        `containsStyleClass` in interface `DayPicker.CalendarDay`
      Parameters:
        `styleClass` -
      Returns:

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getDayElement

          public org.openqa.selenium.WebElement getDayElement()

      Specified by:
        `getDayElement` in interface `DayPicker.CalendarDay`

    - #### getDayNumber

          public Integer getDayNumber()

      Parses and returns the element's text representing day number.
      Specified by:
        `getDayNumber` in interface `DayPicker.CalendarDay`
      Returns:

    - #### getStyleClassForSelectedItem

          protected String getStyleClassForSelectedItem()

      Specified by:
        `getStyleClassForSelectedItem` in class `AbstractSelectableListItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### is

          public boolean is(DayPicker.CalendarDay.DayType type)

      Specified by:
        `is` in interface `DayPicker.CalendarDay`

    - #### select

          public void select(boolean deselectOthers)

      Description copied from interface: `SelectableListItem`
      Select item and deselect other items depending on @deselectOthers.
      Specified by:
        `select` in interface `SelectableListItem`
      Overrides:
        `select` in class `AbstractSelectableListItem`
      Parameters:
        `deselectOthers` - if `true` other items will be unselected.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.